Skip to content

Update Account

Request

Updates the Account object matching {accountId}. For more information on Organizations and Accounts, refer to our Synqly Overview.

Operation ID: accounts_update

Security
BearerAuth
Path
accountIdstring(Id)required
Bodyapplication/jsonrequired
created_atstring, (date-time)required

Time object was originally created

environmentstring(Environment)required

Environment this account runs in.

Enum:"test""prod"
fullnamestringrequired

Human friendly display name for this account.

idstring(Id)required
namestringrequired

Human-readable name for this resource

organization_idstring(Id)required

Organization that manages this Account.

updated_atstring, (date-time)required

Last time object was updated

labelsArray of strings or null

User defined labels that apply to this account. These values can be used in role bindings to limit the scope of permissions.

curl
curl -i -X PUT \
  'https://api.synqly.com/v1/accounts/{accountId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "fullname": "string",
    "organization_id": "string",
    "environment": "test",
    "name": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }'

Responses

Bodyapplication/json
resultobject(Account)required
Response
{ "result": { "id": "string", "fullname": "string", "organization_id": "string", "environment": "test", "labels": [ … ], "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } }